"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const base_1 = require("../../../src/base");
const base_2 = require("../../../src/base");
describe("TreeCoordinates", function () {
    it("allows iterating over the quadtree children multiple times", function () {
        const root = new base_2.QuadtreeCoordinates(0, 0, 0);
        const children = root.children();
        const childrenA = [...children].map((c) => c.toArray());
        const childrenB = [...children].map((c) => c.toArray());
        expect(childrenA).toEqual(childrenB);
    });
    it("allows iterating over the octree children multiple times", function () {
        const root = new base_1.OctreeCoordinates(0, 0, 0, 0);
        const children = root.children();
        const childrenA = [...children].map((c) => c.toArray());
        const childrenB = [...children].map((c) => c.toArray());
        expect(childrenA).toEqual(childrenB);
    });
    it("allows iterating over the quadtree descendants multiple times", function () {
        const root = new base_2.QuadtreeCoordinates(0, 0, 0);
        const descendants = root.descendants(2, true);
        const descendantsA = [...descendants].map((c) => c.toArray());
        const descendantsB = [...descendants].map((c) => c.toArray());
        expect(descendantsA).toEqual(descendantsB);
    });
    it("allows iterating over the octree descendants multiple times", function () {
        const root = new base_1.OctreeCoordinates(0, 0, 0, 0);
        const descendants = root.descendants(2, true);
        const descendantsA = [...descendants].map((c) => c.toArray());
        const descendantsB = [...descendants].map((c) => c.toArray());
        expect(descendantsA).toEqual(descendantsB);
    });
});
//# sourceMappingURL=TreeCoordinatesSpec.js.map