"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ContentDataTypes = void 0;
/**
 * A class defining constants for known content data types.
 *
 * The constants here are the strings that are returned by
 * `ContentDataTypeRegistry.findContentDataType`
 *
 * @internal
 */
class ContentDataTypes {
}
exports.ContentDataTypes = ContentDataTypes;
// The constants for the known content data types
ContentDataTypes.CONTENT_TYPE_GLB = "CONTENT_TYPE_GLB";
ContentDataTypes.CONTENT_TYPE_B3DM = "CONTENT_TYPE_B3DM";
ContentDataTypes.CONTENT_TYPE_I3DM = "CONTENT_TYPE_I3DM";
ContentDataTypes.CONTENT_TYPE_CMPT = "CONTENT_TYPE_CMPT";
ContentDataTypes.CONTENT_TYPE_PNTS = "CONTENT_TYPE_PNTS";
ContentDataTypes.CONTENT_TYPE_GEOM = "CONTENT_TYPE_GEOM";
ContentDataTypes.CONTENT_TYPE_VCTR = "CONTENT_TYPE_VCTR";
ContentDataTypes.CONTENT_TYPE_SUBT = "CONTENT_TYPE_SUBT";
ContentDataTypes.CONTENT_TYPE_PNG = "CONTENT_TYPE_PNG";
ContentDataTypes.CONTENT_TYPE_JPEG = "CONTENT_TYPE_JPEG";
ContentDataTypes.CONTENT_TYPE_GIF = "CONTENT_TYPE_GIF";
ContentDataTypes.CONTENT_TYPE_GEOJSON = "CONTENT_TYPE_GEOJSON";
ContentDataTypes.CONTENT_TYPE_3TZ = "CONTENT_TYPE_3TZ";
// The glTF content data type. This only refers to glTF JSON.
// For binary glTF, CONTENT_TYPE_GLB has to be used.
ContentDataTypes.CONTENT_TYPE_GLTF = "CONTENT_TYPE_GLTF";
ContentDataTypes.CONTENT_TYPE_TILESET = "CONTENT_TYPE_TILESET";
//# sourceMappingURL=ContentDataTypes.js.map