import { MetadataClass } from "../../structure";
import { MetadataEntityModel } from "./MetadataEntityModel";
/**
 * Default implementation of a `MetadataEntityModel` that is backed
 * by the JSON representation of the metadata.
 *
 * (The JSON representation are just the `metadataEntity.properties`
 * from the input JSON)
 *
 * @internal
 */
export declare class DefaultMetadataEntityModel implements MetadataEntityModel {
    private readonly metadataClass;
    private readonly json;
    private readonly semanticToPropertyId;
    constructor(metadataClass: MetadataClass, semanticToPropertyId: {
        [key: string]: string;
    }, json: any);
    /** {@inheritDoc MetadataEntityModel.getPropertyValue} */
    getPropertyValue(propertyId: string): any;
    /** {@inheritDoc MetadataEntityModel.getPropertyValueBySemantic} */
    getPropertyValueBySemantic(semantic: string): any;
}
//# sourceMappingURL=DefaultMetadataEntityModel.d.ts.map