"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.TileFormatError = void 0;
/**
 * An error that may be thrown to indicate that tile data
 * was invalid in some way, with the error mesage hopefully
 * containing some helpful details.
 *
 * @internal
 */
class TileFormatError extends Error {
    constructor(message) {
        super(message);
        this.toString = () => {
            return `${this.name}: ${this.message}`;
        };
        // See https://github.com/Microsoft/TypeScript/wiki/Breaking-Changes
        // #extending-built-ins-like-error-array-and-map-may-no-longer-work
        Object.setPrototypeOf(this, TileFormatError.prototype);
    }
}
exports.TileFormatError = TileFormatError;
//# sourceMappingURL=TileFormatError.js.map