"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.TilesetError = void 0;
/**
 * An error that may be thrown to indicate that a tileset
 * was invalid and could not be processed.
 *
 * @internal
 */
class TilesetError extends Error {
    constructor(message) {
        super(message);
        this.toString = () => {
            return `${this.name}: ${this.message}`;
        };
        // See https://github.com/Microsoft/TypeScript/wiki/Breaking-Changes
        // #extending-built-ins-like-error-array-and-map-may-no-longer-work
        Object.setPrototypeOf(this, TilesetError.prototype);
    }
}
exports.TilesetError = TilesetError;
//# sourceMappingURL=TilesetError.js.map