"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.PipelineError = void 0;
/**
 * An error that may be thrown to indicate that a pipeline
 * was invalid (for example, due to unknown stage names),
 * or one of the stages caused an error during execution.
 *
 * @internal
 */
class PipelineError extends Error {
    constructor(message) {
        super(message);
        this.toString = () => {
            return `${this.name}: ${this.message}`;
        };
        // See https://github.com/Microsoft/TypeScript/wiki/Breaking-Changes
        // #extending-built-ins-like-error-array-and-map-may-no-longer-work
        Object.setPrototypeOf(this, PipelineError.prototype);
    }
}
exports.PipelineError = PipelineError;
//# sourceMappingURL=PipelineError.js.map